## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class VMEvent

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  VMDisconnectEvent, VMResumeEvent, VMStartEvent, VMSuspendEvent, VMTerminateEvent

    public abstract class VMEvent

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` `VMEvent()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VMEvent

    protected VMEvent()

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.